Home > Not Found > Configure Error Apr Util Not Found

Configure Error Apr Util Not Found

Contents

yes checking for sys/types.h... Now on the command-line, enter 'make' and 'make install' command. share|improve this answer answered Jun 9 '13 at 1:10 baudot 8251024 I am having the same problem, this solution did not work for me. –msknapp May 17 '14 at Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count). http://dukesoftwaresolutions.com/not-found/configure-error-apr-util-not-found-please-read-the-documentation.html

This is quite minimalistic, you will probably want additional things with your installation however my purpose was extremely basic. Requirements The following requirements exist for building Apache httpd: APR and APR-Util Make sure you have APR and APR-Util already installed on your system. Helped me… Reply yuvaraj November 11, 2013 at 9:03 pm thank you very much it is working Reply lalitha November 18, 2013 at 4:09 pm great! How to book a flight if my passport doesn't state my gender?

Configure Error Apr Util Not Found

checking for APR... Notify me of new posts by email. Join & Ask a Question Need Help in Real-Time?

checking for APR... Configure apache-httpd by entring following command (I like to enable certain options as written in the command below): ./configure --enable-file-cache --enable-cache --enable-disk-cache --enable-mem-cache --enable-deflate --enable-expires --enable-headers --enable-usertrack --enable-cgi --enable-vhost-alias --enable-rewrite --enable-so Connect with top rated Experts 10 Experts available now in Live! Apache Apr Download Browse other questions tagged apache apr or ask your own question.

In addition, binary releases are often not up to date with the latest source releases. Apache2 Utils Comment Submit Your Comment By clicking you are agreeing to Experts Exchange's Terms of Use. Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the my site Powered by Blogger.

Find More Posts by acid_kewpie 12-20-2012, 02:50 AM #3 jmc1987 Member Registered: Sep 2009 Location: Oklahoma Distribution: Debian, CentOS, windows 7 Posts: 872 Rep: What version of apache are Configure: Error: Apr-util Not Found. Please Read The Documentation. Did the Emperor intend to live forever? I have tried resolving with various configuration options but nothing tried works. This is not necessary for official releases.) To configure the source tree using all the default options, simply type ./configure.

Apache2 Utils

Upgrading from one minor version to the next (for example, from 2.2.55 to 2.2.57) is easier. All modules will also need to be upgraded to accommodate changes in the module API. Configure Error Apr Util Not Found yes checking for C compiler default output file name... Apache2 Utils Centos But when I tried ./configure --prefix = /usr/local/apache it shows an error configure: error: APR not found.

Using ./configure --prefix=/usr/local/apr-util --with-apr=/usr/local/apr, the error becomes: checking for APR... http://dukesoftwaresolutions.com/not-found/error-apr-not-found-apache.html share|improve this answer answered Feb 24 '12 at 19:41 rkosegi 5,49122450 add a comment| up vote 0 down vote Apr or pcre related errors require the source to be downloaded and Password Linux - Newbie This Linux forum is for members that are new to Linux. Setting Up Two Way SSL for WebLogic Server - Self ... ► February (1) ► 2012 (12) ► December (4) ► November (3) ► September (1) ► March (2) ► January Configure: Error: Pcre-config For Libpcre Not Found

yes setting CC to "gcc" setting CPP to "gcc -E" setting CFLAGS to " -g -O2 -pthread" setting CPPFLAGS to " -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE" setting LDFLAGS to " " Configuring This includes the various Linux distributions, various third-party Windows packages, Mac OS X, Solaris, and many more. Have you ever tried installing Apache 2.4.4 in Linux.? his comment is here This book contains many real life examples derived from the author's experience as a Linux system and network administrator, trainer and consultant.

no configure: error: APR not found. How To Install Apr-util Extract Extracting the source from the Apache HTTP Server tarball is a simple matter of uncompressing, and then untarring: $ gzip -d httpd-NN.tar.gz
$ tar xvf httpd-NN.tar This will create Why write an entire bash script in functions?

If you don't, or prefer to not use the system-provided versions, download the latest versions of both APR and APR-Util from Apache APR, unpack them into /httpd_source_tree_root/srclib/apr and /httpd_source_tree_root/srclib/apr-util (be sure

Or you could install pcre: yum install pcre-devel If while building PCRE: you see "compile: unrecognized option" then perhaps you would need other dependencies as well: Please see the details at: Which is faster? I tried sudo yum install libapr1-dev, and likewise with libaprutil1-dev, both times yum said I already had it installed, but my problem is not fixed. –msknapp May 17 '14 at 18:37 Configure: Error: Cannot Use An External Apr With The Bundled Apr-util Introduction to Linux - A Hands on Guide This guide was created as an overview of the Linux Operating System, geared toward new users as an exploration tour and getting started

After downloading, it is important to verify that you have a complete and unmodified version of the Apache HTTP Server. If PREFIX is not specified, it defaults to /usr/local/apache2. Thank you.. weblink AddType text/html .php AddHandler php5-script .php This line should already be in there, referring to the .so file that was previously copied.

Build Now you can build the various parts which form the Apache package by simply running the command: $ make Please be patient here, since a base configuration takes several minutes checking for pcre-config... Are you new to LinuxQuestions.org? A description of these third-party distrubutions is maintained in the HTTP Server wiki, and should reflect the current state of these third-party distributions.

But when I tried ./configure --prefix = /usr/local/apache it shows an error configure: error: APR not found. none needed checking how to run the C preprocessor... Password authentication should be dead — or at least close to dying. Then stop the server again by running: $ PREFIX/bin/apachectl -k stop Upgrading The first step in upgrading is to read the release announcement and the file CHANGES in the source distribution